For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Asset Folders
      • POSTCreate Asset Folder
      • GETGet Asset Folder
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
AssetsAsset Folders

List Asset Folders

GET
https://api.webflow.com/beta/sites/:site_id/asset_folders
GET
/beta/sites/:site_id/asset_folders
$curl https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/asset_folders \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "assetFolders": [
3 {
4 "id": "580e63e98c9a982ac9b8b742",
5 "displayName": "Marketing Images",
6 "parentFolder": null,
7 "assets": [
8 "580e63e98c9a982ac9b8b743",
9 "580e63e98c9a982ac9b8b744"
10 ],
11 "siteId": "580e63e98c9a982ac9b8b741",
12 "createdOn": "2023-11-01T10:15:30.000Z",
13 "lastUpdated": "2024-05-20T08:45:00.000Z"
14 },
15 {
16 "id": "580e63e98c9a982ac9b8b745",
17 "displayName": "Product Photos",
18 "parentFolder": "580e63e98c9a982ac9b8b742",
19 "assets": [
20 "580e63e98c9a982ac9b8b746",
21 "580e63e98c9a982ac9b8b747",
22 "580e63e98c9a982ac9b8b748"
23 ],
24 "siteId": "580e63e98c9a982ac9b8b741",
25 "createdOn": "2023-12-15T14:00:00.000Z",
26 "lastUpdated": "2024-05-18T12:30:00.000Z"
27 }
28 ],
29 "pagination": {
30 "limit": 100,
31 "offset": 0,
32 "total": 2
33 }
34}

List Asset Folders within a given site

Required scope | assets:read

Was this page helpful?
Previous

Create Asset Folder

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
assetFolderslist of objects
A list of Asset folders
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error